Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2.service
Class ManagementService

    java.lang.Object
      org.apache.ode.axis2.service.ManagementService

    public class ManagementService

extends java.lang.Object

Axis2 wrapper for process and instance management interfaces.

Field Summary
`static java.lang.String` | `IM_AXIS2_NAME`
`static java.lang.String` | `IM_PORT_NAME`
`static javax.xml.namespace.QName` | `IM_SERVICE_NAME`
`static java.lang.String` | `PM_AXIS2_NAME`
`static java.lang.String` | `PM_PORT_NAME`
`static javax.xml.namespace.QName` | `PM_SERVICE_NAME`

Constructor Summary
`ManagementService()`

Method Summary
`void` | `enableService(org.apache.axis2.engine.AxisConfiguration axisConfig, BpelServer server, ProcessStore _store, java.lang.String rootpath)`
`InstanceManagement` | `getInstanceMgmt()`
`ProcessManagement` | `getProcessMgmt()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PM_SERVICE_NAME

    public static final javax.xml.namespace.QName PM_SERVICE_NAME

### PM_PORT_NAME

    public static final java.lang.String PM_PORT_NAME

See Also:
  Constant Field Values

### PM_AXIS2_NAME

    public static final java.lang.String PM_AXIS2_NAME

See Also:
  Constant Field Values

### IM_SERVICE_NAME

    public static final javax.xml.namespace.QName IM_SERVICE_NAME

### IM_PORT_NAME

    public static final java.lang.String IM_PORT_NAME

See Also:
  Constant Field Values

### IM_AXIS2_NAME

    public static final java.lang.String IM_AXIS2_NAME

See Also:
  Constant Field Values

Constructor Detail

### ManagementService

    public ManagementService()

Method Detail

### enableService

    public void enableService(org.apache.axis2.engine.AxisConfiguration axisConfig,
                              BpelServer server,
                              ProcessStore _store,
                              java.lang.String rootpath)

### getProcessMgmt

    public ProcessManagement getProcessMgmt()

### getInstanceMgmt

    public InstanceManagement getInstanceMgmt()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD